# Function: getProjects

▸ **getProjects**(`tree`): `Map`<`string`, [`ProjectConfiguration`](../../devkit/documents/ProjectConfiguration)\>

Get a map of all projects in a workspace.

Use [readProjectConfiguration](../../devkit/documents/readProjectConfiguration) if only one project is needed.

#### Parameters

| Name   | Type                                  |
| :----- | :------------------------------------ |
| `tree` | [`Tree`](../../devkit/documents/Tree) |

#### Returns

`Map`<`string`, [`ProjectConfiguration`](../../devkit/documents/ProjectConfiguration)\>
